{ lib
, rustPlatform
, fetchurl
, pkg-config
, libxkbcommon
}:
rustPlatform.buildRustPackage rec {

  pname = "ewwbar";
  version = "v0.1.1";

  src = fetchurl {
    url = "https://git.huwe.mooo.com/willifan/desktop-utils/archive/${version}.tar.gz";
    sha256 = "sha256-yUwZdW8NusSS0cPmdl87z1C8rqq2/eBNdkqprbSkmUE=";
  };

  cargoHash = "sha256-89Vljhbv2yLJtnr/6GLAuXkhVovJn1Iy+8jNgdPCCu8=";


  nativeBuildInputs = [
    pkg-config
  ];

  buildInputs = [
    libxkbcommon
  ];

  meta = with lib; {
    description = "utils for my desktop";
    homepage = " git.huwe.mooo.com/willifan/desktop-utils";
    license = licenses.gpl3;
    platforms = platforms.unix;
    mainProgram = "ewwbar";
  };

}
